Debian Bug report logs - #728736
ITP: libacme-constant-perl -- module that makes inconstant constants, except actually not

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>

Date: Mon, 4 Nov 2013 20:45:07 UTC

Owned by: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>

Severity: wishlist

Fixed in version libacme-constant-perl/0.1.3-1

Done: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#728736; Package wnpp. (Mon, 04 Nov 2013 20:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Mon, 04 Nov 2013 20:45:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libacme-constant-perl -- module that makes inconstant constants, except actually not
Date: Mon, 4 Nov 2013 22:44:18 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libacme-constant-perl
  Version         : 0.1.3
  Upstream Author : Konrad Borowski <glitchmr@myopera.com>
* URL             : https://metacpan.org/release/Acme-constant
* License         : Expat
  Programming Lang: Perl
  Description     : module that makes inconstant constants, except actually not

Acme::constant lets you make inconstant constants, just like the constants the
users of Ruby or Opera (before Opera 14, that is) already enjoyed.

Unlike Perl constants, that are replaced at compile time, Acme constants, in
true dynamic programming language style, can be modified even after
declaration.

Just like constants generated with standard use constant pragma, the
constants declared with use Acme::Constant don't have any sigils. This makes
using constants easier, as you don't have to remember what sigil do constants
use.
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 09 Nov 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>:
You have taken responsibility. (Sat, 30 Nov 2013 00:03:19 GMT) Full text and rfc822 format available.

Notification sent to Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>:
Bug acknowledged by developer. (Sat, 30 Nov 2013 00:03:19 GMT) Full text and rfc822 format available.

Message #12 received at 728736-close@bugs.debian.org (full text, mbox):

From: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>
To: 728736-close@bugs.debian.org
Subject: Bug#728736: fixed in libacme-constant-perl 0.1.3-1
Date: Sat, 30 Nov 2013 00:00:12 +0000
Source: libacme-constant-perl
Source-Version: 0.1.3-1

We believe that the bug you reported is fixed in the latest version of
libacme-constant-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728736@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com> (supplier of updated libacme-constant-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 09 Nov 2013 17:36:04 +0200
Source: libacme-constant-perl
Binary: libacme-constant-perl
Architecture: source all
Version: 0.1.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>
Description: 
 libacme-constant-perl - module that makes inconstant constants, except actually not
Closes: 728736
Changes: 
 libacme-constant-perl (0.1.3-1) unstable; urgency=low
 .
   * Initial Release (Closes: #728736)
Checksums-Sha1: 
 41718f8f537a1c9d1bef0a63991293d3cd5aec28 2208 libacme-constant-perl_0.1.3-1.dsc
 dc2eea980acba88602258a22e1c0af01b95ec93b 7663 libacme-constant-perl_0.1.3.orig.tar.gz
 10af69756e4da1a161ef1d9fd6b63aac49b713bc 2465 libacme-constant-perl_0.1.3-1.debian.tar.gz
 d3c2f3db0e871264a4bad675b397ac11806e705b 12562 libacme-constant-perl_0.1.3-1_all.deb
Checksums-Sha256: 
 f9e89b25c20bf9da91fac0b44452f100c475488acd8e1d96d79901177fed0427 2208 libacme-constant-perl_0.1.3-1.dsc
 d7324e818ad91d3e61ff7539e6805a239023e0142e0cb9eaa071b7f8619a2096 7663 libacme-constant-perl_0.1.3.orig.tar.gz
 d58a6ff890cdaa86b4acb60729751299172c96494a7e82f591ffd642a3e32e51 2465 libacme-constant-perl_0.1.3-1.debian.tar.gz
 319a25201340b57145d0ab0784010d123c34fa830e94d681f1e412593444a033 12562 libacme-constant-perl_0.1.3-1_all.deb
Files: 
 1aa5a0789bd22aa3ff4763f222e7fcfb 2208 perl optional libacme-constant-perl_0.1.3-1.dsc
 e3fe975730b8a4c984c73d6dc2abbbcf 7663 perl optional libacme-constant-perl_0.1.3.orig.tar.gz
 8f4491d3d51ccd4d1b3d684628816fbb 2465 perl optional libacme-constant-perl_0.1.3-1.debian.tar.gz
 67e5cc1b8cb4817f6f66a3eb2db9d5f2 12562 perl optional libacme-constant-perl_0.1.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSfmM5AAoJELs6aAGGSaoGwNgP/jZxHPNx7nML6fpirRBThEqU
pHYWxKi0XN+G2XfX+7DWTWYe9xtK5bayS65/xNFACyApvoYbhPzoLpzrhxnkWcg8
pf4DbUkAZyzvsei6RKzEB8lnw5fsP4X9+jb6tdtRvVTkZJl+fRnge8G1/N3mlypA
aR8uLh0+RPG8JZcFqWsQQIRhySzv6SiN7YJf2Pf22614LGTkM6NcwWJvSfuKJrXf
qZiT/7Z0QdiWgjwOlfVBPqorRvFjd48v+vcNhcq9V34yfqUI3RcFC0fZvEJBQw7J
qpD1hExnwU2kEh2zj3KGgnS/+4i8LffcmuCMn02i6lyrBsPe26UgOXDb5rrVanbR
x9oZgOEQLWdk4rU78xCpNrHTpfKXO5OW7pFDJSBGYB9Vuy9W155bTvXrGpXFybWo
AINzh2lUn4sjKukVXg3pGf4MUttZQpplLh0vnJgf4tYzgesdFAI2cVTuTB+VJY1t
fFfkyLaw4TGnhjWV4uGYEOo9VgdHy3rCXPnnKO5db6pyYGLbhYoH50EMm0W4lfJ/
zdIMuQWTXRjZnRZuhRuy03LM3W3FyeCYkfns10MC3u/Xe6bypJuLg2s1SZGZOPSI
wrzY8hkXCcKxvGQxm3B9LYtaTdzy3gT2qPM5Ui/1+0FU7fHI0WrMhFTrKWY/J5TG
kp7eSpWNYlJSP1maC4dQ
=aFyt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:31:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:41:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.